# API

Starting with version 1.0.1, Custom Torque Map exposes a function that
retrieves actual RPM. Manual Transmission will use this to report actual
RPM data to software such as SimHub, for example.

Check the header, it's pretty straightforward. Here's a code sample (C++):

```cpp
    CTM_RPMInfo rpmInfo;
    if (CTM_GetPlayerRPMInfo(&rpmInfo)) {
        packet.MaxRpm = rpmInfo.RevLimitRPM;
        packet.IdleRpm = rpmInfo.IdleRPM;
        packet.EngineRevs = rpmInfo.ActualRPM;
    }
```
